summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/gsutil/files')
-rw-r--r--net-misc/gsutil/files/gsutil-3.37-use-friendy-version-checks.patch20
-rw-r--r--net-misc/gsutil/files/gsutil-3.38-use-friendy-version-checks.patch20
-rw-r--r--net-misc/gsutil/files/gsutil-4.4-use-friendy-version-checks.patch22
-rw-r--r--net-misc/gsutil/files/gsutil-4.7-drop-http_proxy-clearing.patch36
-rw-r--r--net-misc/gsutil/files/gsutil-4.7-use-friendy-version-checks.patch22
-rw-r--r--net-misc/gsutil/files/gsutil-system-boto.patch23
6 files changed, 0 insertions, 143 deletions
diff --git a/net-misc/gsutil/files/gsutil-3.37-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-3.37-use-friendy-version-checks.patch
deleted file mode 100644
index 5da56d476a9..00000000000
--- a/net-misc/gsutil/files/gsutil-3.37-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -33,15 +33,13 @@ management tasks, including:
- """
-
- requires = [
-- 'boto==2.13.0',
-+ 'boto>=2.13.0',
- 'httplib2>=0.8',
- 'python-gflags>=2.0',
- 'google-api-python-client>=1.1',
- 'pyOpenSSL>=0.13',
- 'crcmod>=1.7',
-- # Not using 1.02 because of:
-- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- 'retry_decorator>=0.1.0',
- ]
-
diff --git a/net-misc/gsutil/files/gsutil-3.38-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-3.38-use-friendy-version-checks.patch
deleted file mode 100644
index 24641a27ca4..00000000000
--- a/net-misc/gsutil/files/gsutil-3.38-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -33,15 +33,13 @@ management tasks, including:
- """
-
- requires = [
-- 'boto==2.17.0',
-+ 'boto>=2.17.0',
- 'httplib2>=0.8',
- 'python-gflags>=2.0',
- 'google-api-python-client>=1.1',
- 'pyOpenSSL>=0.13',
- 'crcmod>=1.7',
-- # Not using 1.02 because of:
-- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- 'retry_decorator>=1.0.0',
- ]
-
diff --git a/net-misc/gsutil/files/gsutil-4.4-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.4-use-friendy-version-checks.patch
deleted file mode 100644
index 0443d109b58..00000000000
--- a/net-misc/gsutil/files/gsutil-4.4-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -35,7 +35,7 @@ management tasks, including:
- """
-
- requires = [
-- 'boto==2.30.0',
-+ 'boto>=2.30.0',
- 'crcmod>=1.7',
- 'gcs-oauth2-boto-plugin>=1.7',
- 'google-api-python-client>=1.1',
-@@ -43,9 +43,7 @@ requires = [
- 'pyOpenSSL>=0.13',
- 'python-gflags>=2.0',
- 'retry_decorator>=1.0.0',
-- # Not using 1.02 because of:
-- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- ]
-
- dependency_links = [
diff --git a/net-misc/gsutil/files/gsutil-4.7-drop-http_proxy-clearing.patch b/net-misc/gsutil/files/gsutil-4.7-drop-http_proxy-clearing.patch
deleted file mode 100644
index 67c07f03c48..00000000000
--- a/net-misc/gsutil/files/gsutil-4.7-drop-http_proxy-clearing.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-http://crbug.com/318478
-https://github.com/GoogleCloudPlatform/gsutil/pull/171
-
-From 0067df5b08ebab29b88bbb7e6c1cd79dc4d96100 Mon Sep 17 00:00:00 2001
-From: Mike Frysinger <vapier@gentoo.org>
-Date: Wed, 27 Nov 2013 14:57:05 -0500
-Subject: [PATCH] drop http_proxy clearing
-
-The boto logic takes care of merging the env vars and the settings in its
-boto config file, so there shouldn't be a need to clear things.
----
- gslib/__main__.py | 8 --------
- 1 file changed, 8 deletions(-)
-
-diff --git a/gslib/__main__.py b/gslib/__main__.py
-index 82a69c1..a18db42 100644
---- a/gslib/__main__.py
-+++ b/gslib/__main__.py
-@@ -247,14 +247,6 @@ def main():
- else:
- command_name = args[0]
-
-- # Unset http_proxy environment variable if it's set, because it confuses
-- # boto. (Proxies should instead be configured via the boto config file.)
-- if 'http_proxy' in os.environ:
-- if debug > 1:
-- sys.stderr.write(
-- 'Unsetting http_proxy environment variable within gsutil run.\n')
-- del os.environ['http_proxy']
--
- if os.environ.get('_ARGCOMPLETE', '0') == '1':
- return _PerformTabCompletion(command_runner)
-
---
-1.8.4.3
-
diff --git a/net-misc/gsutil/files/gsutil-4.7-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.7-use-friendy-version-checks.patch
deleted file mode 100644
index 9d9eb65a364..00000000000
--- a/net-misc/gsutil/files/gsutil-4.7-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -35,7 +35,7 @@ management tasks, including:
- """
-
- requires = [
-- 'boto==2.30.0',
-+ 'boto>=2.30.0',
- 'crcmod>=1.7',
- 'gcs-oauth2-boto-plugin>=1.8',
- 'httplib2>=0.8',
-@@ -44,9 +44,7 @@ requires = [
- 'python-gflags>=2.0',
- 'retry_decorator>=1.0.0',
- 'six>=1.8.0',
-- # Not using 1.02 because of:
-- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- ]
-
- dependency_links = [
diff --git a/net-misc/gsutil/files/gsutil-system-boto.patch b/net-misc/gsutil/files/gsutil-system-boto.patch
deleted file mode 100644
index 88cb49c0f0a..00000000000
--- a/net-misc/gsutil/files/gsutil-system-boto.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-http://code.google.com/p/gsutil/issues/detail?id=71
-
---- a/gsutil
-+++ b/gsutil
-@@ -41,13 +41,15 @@
- _OutputAndExit('Unable to determine where gsutil is installed. Sorry, '
- 'cannot run correctly without this.\n')
- boto_lib_dir = os.path.join(gsutil_bin_dir, 'boto')
--if not os.path.isdir(boto_lib_dir):
-+if os.path.isdir(boto_lib_dir):
-+ sys.path.insert(0, boto_lib_dir)
-+try:
-+ import boto
-+except:
- _OutputAndExit('There is no boto library under the gsutil install directory '
- '(%s).\nThe gsutil command cannot work properly when installed '
- 'this way.\nPlease re-install gsutil per the installation '
- 'instructions.' % gsutil_bin_dir)
--sys.path.insert(0, boto_lib_dir)
--import boto
- from boto.exception import BotoClientError
- from boto.exception import InvalidAclError
- from boto.exception import InvalidUriError